Support » Plugin: Avatar Privacy » Issue with PHP 8.0, Deprecated: Method ReflectionParameter

  • Resolved Bjarne Oldrup

    (@oldrup)


    Hey! Thank you for sharing this plugin with the community.

    A little heads up. I’ve been testing the new PHP 8.0, and Avatar Privacy seems to have an issue with that, throwing this error:

    Deprecated: Method ReflectionParameter::getClass() is deprecated in /home/oldrupdk/oldrup.net/wp-content/plugins/avatar-privacy/vendor-scoped/level-2/dice/Dice.php on line 184

    Please let me know if I can do anything to help locate and fix this issue.

    Bjarne

    The page I need help with: [log in to see the link]

Viewing 3 replies - 16 through 18 (of 18 total)
  • Plugin Author pepe

    (@pputzer)

    @oldrup Notice is generated even when using filemtime on a non-existing file in PHP 8.x even with the error suppression operator. I’ll have to check why this happens in the production plugin, though – it’s normal that there are no minified files on a GitHub checkout, but the file should be there when you download the built version from WP.org.

    Plugin Author pepe

    (@pputzer)

    And this hid another issue: I was using a relative path where it should have been absolute while calculating the CSS version. No wonder the files could not be found on any installation. Fixed in 2.5.2.

    Thread Starter Bjarne Oldrup

    (@oldrup)

    Great job @pputzer!!!

    The plugin performs well and as expected now, even on my admittedly unusual php 8 multisite installation.

    Kind regards
    Bjarne

Viewing 3 replies - 16 through 18 (of 18 total)
  • You must be logged in to reply to this topic.